debug_getRawHeader-polygon

Returns an RLP-encoded header.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • QUANTITY|TAG - Hex encoded integer block number, or the string "latest", "earliest" or "pending", see the default block parameter.
curl https://polygon-mainnet-archive.allthatnode.com:8545/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"debug_getRawHeader",
    "params":[
      "latest"
    ]
}'

Returns

  • DATA - RLP encoded header
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0xf90237a00226cd7....ab31362bf"
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "id": 1, "jsonrpc": "2.0", "method": "trace_replayBlockTransactions", "params": [ "0x2B9BB83", ["trace"] ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!